#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	iproute2
Version		:	6.4.0
Release		:	14.8.0.0%{?dist}
Summary		:	Advanced IP routing and network device configuration tools
Group		:	Applications/system

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and Public Domain
URL		:	https://www.kernel.org/pub/linux/utils/net/iproute2/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	elfutils-libelf-devel
BuildRequires	:	libdb-devel
#-----------------------------------------------------------------------------
%description
The iproute package contains networking utilities
(ip and rtmon, for example) which are designed
to use the advanced networking capabilities of
the Linux 2.4.x and 2.6.x kernel.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc  README COPYING
/sbin/*
%{_includedir}/%{name}/*.h
%attr(644,root,root) %config(noreplace)%{_sysconfdir}/%{name}/*
%{_prefix}/lib/tc/*
%dir /var/lib/arpd/
%{_datadir}/bash-completion/completions/tc
%{_datadir}/bash-completion/completions/devlink
%{_mandir}/man3/*.3.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 							\
	DESTDIR=%{buildroot}					\
	DOCDIR=%{_defaultdocdir}/%{name}-%{version}		\
	install

#-----------------------------------------------------------------------------
%changelog
